### Signal

# Clutter PathConstraint::node-reached

since: 13

#### Declaration

    void
    node_reached (
      ClutterPathConstraint* self,
      ClutterActor* actor,
      guint index,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time a `ClutterPathConstraint:offset` value results in the actor passing a `ClutterPathNode`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 13

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` using the `constraint`.

  The data is owned by the caller of the function.

`index`

  Type: `guint`

  The index of the node that has been reached.